Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.comparison.CompareResultInfo Class Reference

## Public Member Functions
| CompareResultInfo ()
| Constructor.
| CompareResultInfo (CompareResultInfo result_info)
| Constructor, with another result information object. More...
| CompareResultInfo (int type, RectFArray rect_array, String diff_contents)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getDiff_contents ()
| Get different contents as compared result. More...
RectFArray | getRect_array ()
| Get rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared. More...
int | getType ()
| Get result type. More...
void | setDiff_contents (String value)
| Set different contents as compared result. More...
void | setRect_array (RectFArray value)
| Set rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared. More...
void | setType (int value)
| Set result type. More...

## Static Public Attributes
static final int | e_CompareResultTypeDeleteAnnot = 15
| Result type: delete annotation.
static final int | e_CompareResultTypeDeleteImage = 6
| Result type: delete image.
static final int | e_CompareResultTypeDeletePath = 9
| Result type: delete path.
static final int | e_CompareResultTypeDeleteShading = 12
| Result type: delete shading.
static final int | e_CompareResultTypeDeleteText = 0
| Result type: delete text.
static final int | e_CompareResultTypeInsertAnnot = 16
| Result type: insert annotation.
static final int | e_CompareResultTypeInsertImage = 7
| Result type: insert image.
static final int | e_CompareResultTypeInsertPath = 10
| Result type: insert path.
static final int | e_CompareResultTypeInsertShading = 13
| Result type: insert shading.
static final int | e_CompareResultTypeInsertText = 1
| Result type: insert text.
static final int | e_CompareResultTypeNone = -1
| Result type: unsupported or invalid.
static final int | e_CompareResultTypeReplaceAnnot = 17
| Result type: replace annotation.
static final int | e_CompareResultTypeReplaceImage = 8
| Result type: replace image.
static final int | e_CompareResultTypeReplacePath = 11
| Result type: replace path.
static final int | e_CompareResultTypeReplaceShading = 14
| Result type: replace shading.
static final int | e_CompareResultTypeReplaceText = 2
| Result type: replace text.
static final int | e_CompareResultTypeTextAttriChange = 18
| (Reserved, not supported yet) Result type: text attribute change.

## Detailed Description

This class represents the compare result information.

## Constructor & Destructor Documentation

## ◆ CompareResultInfo() [1/2]

com.foxit.sdk.addon.comparison.CompareResultInfo.CompareResultInfo | ( | int | type,
|  | RectFArray | rect_array,
|  | String | diff_contents
| ) |  |

Constructor, with parameters.

Parameters

  [in] | type | Result type. Please refer to values starting from com.foxit.sdk.addon.comparison.CompareResultInfo.e_CompareResultTypeNone and this should be one of these values.
  [in] | rect_array | Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.
  [in] | diff_contents | Different contents as compared result.

## ◆ CompareResultInfo() [2/2]

com.foxit.sdk.addon.comparison.CompareResultInfo.CompareResultInfo | ( | CompareResultInfo | result_info | ) |

Constructor, with another result information object.

Parameters

  [in] | result_info | Another result information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.comparison.CompareResultInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDiff_contents()

com.foxit.sdk.addon.comparison.CompareResultInfo.getDiff_contents | ( |  | ) |

Get different contents as compared result.

Returns
  Different contents as compared result.

## ◆ getRect_array()

com.foxit.sdk.addon.comparison.CompareResultInfo.getRect_array | ( |  | ) |

Get rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.

Returns
  Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.

## ◆ getType()

com.foxit.sdk.addon.comparison.CompareResultInfo.getType | ( |  | ) |

Get result type.

Returns
  Result type. Please refer to values starting from com.foxit.sdk.addon.comparison.CompareResultInfo.e_CompareResultTypeNone and this should be one of these values.

## ◆ setDiff_contents()

com.foxit.sdk.addon.comparison.CompareResultInfo.setDiff_contents | ( | String | value | ) |

Set different contents as compared result.

Parameters

  [in] | value | Different contents as compared result.

Returns
  None.

## ◆ setRect_array()

com.foxit.sdk.addon.comparison.CompareResultInfo.setRect_array | ( | RectFArray | value | ) |

Set rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.

Parameters

  [in] | value | Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.

Returns
  None.

## ◆ setType()

com.foxit.sdk.addon.comparison.CompareResultInfo.setType | ( | int | value | ) |

Set result type.

Parameters

  [in] | value | Result type. Please refer to values starting from com.foxit.sdk.addon.comparison.CompareResultInfo.e_CompareResultTypeNone and this should be one of these values.

Returns
  None.